#ifndef _SEEP_H
#define _SEEP_H

#include "../mcu/types.h"

void InitSEEP(void);

void eeprom_write_byte(uint8 add, uint8 dat);

uint8 eeprom_read_byte(uint8 add);

void eeprom_write_word(uint8 add, uint16 dat); 

uint16 eeprom_read_word(uint8 add);

void eeprom_write_block(void *pointer_ram, uint8 add_eeprom, size_t n);

void eeprom_read_block(void *pointer_ram, uint8 add_eeprom, size_t n);

#endif
